Selesnick {waveslim} | R Documentation

## Miscellaneous Functions for Dual-Tree Wavelet Software

### Description

Miscellaneous functions for dual-tree wavelet software.

### Usage

    cshift(x, m)
    cshift2D(x, m)
    pm(a, b)

### Arguments

`x` | N-point vector
`m` | amount of shift
`a,b` | input parameters

### Value

`y` | vector x will be shifed by m samples to the left or matrix x will be shifed by m samples down.
`u` | (a + b)/sqrt(2)
`v` | (a - b)/sqrt(2)

### Author(s)

Matlab: S. Cai, K. Li and I. Selesnick; R port: B. Whitcher

### References

WAVELET SOFTWARE AT POLYTECHNIC UNIVERSITY, BROOKLYN, NY
http://taco.poly.edu/WaveletSoftware/

[Package waveslim version 1.7.5.1 Index]